Users API
Update user
PATCH
/
v1
/
users
/
{id}
Update user
curl --request PATCH \
--url https://api.oneofnone.io/v1/users/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"phone": "<string>",
"email": "jsmith@example.com",
"metadata": {},
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.oneofnone.io/v1/users/{id}"
payload = {
"phone": "<string>",
"email": "jsmith@example.com",
"metadata": {},
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '<string>',
email: 'jsmith@example.com',
metadata: {},
avatar_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.oneofnone.io/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "<string>",
"created_at": "<string>",
"phone": "<string>",
"metadata": {},
"avatar": {
"url": "<string>"
},
"app_id": 123,
"team_id": "<string>",
"last_login_at": "<string>",
"login_count": 123,
"updated_at": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Successful response
⌘I
Update user
